JavaScript
import Stigg from '@stigg/typescript';
const client = new Stigg({
apiKey: process.env['STIGG_API_KEY'], // This is the default and can be omitted
});
const entitlements = await client.v1.addons.entitlements.list('addonId');
console.log(entitlements.data);import os
from stigg import Stigg
client = Stigg(
api_key=os.environ.get("STIGG_API_KEY"), # This is the default and can be omitted
)
entitlements = client.v1.addons.entitlements.list(
addon_id="addonId",
)
print(entitlements.data)package main
import (
"context"
"fmt"
"github.com/stiggio/stigg-go"
"github.com/stiggio/stigg-go/option"
)
func main() {
client := stigg.NewClient(
option.WithAPIKey("My API Key"),
)
entitlements, err := client.V1.Addons.Entitlements.List(
context.TODO(),
"addonId",
stigg.V1AddonEntitlementListParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", entitlements.Data)
}package io.stigg.example;
import io.stigg.client.StiggClient;
import io.stigg.client.okhttp.StiggOkHttpClient;
import io.stigg.models.v1.addons.entitlements.EntitlementListParams;
import io.stigg.models.v1.addons.entitlements.EntitlementListResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
StiggClient client = StiggOkHttpClient.fromEnv();
EntitlementListResponse entitlements = client.v1().addons().entitlements().list("addonId");
}
}require "stigg"
stigg = Stigg::Client.new(api_key: "My API Key")
entitlements = stigg.v1.addons.entitlements.list("addonId")
puts(entitlements)using System;
using Stigg.Client;
using Stigg.Client.Models.V1.Addons.Entitlements;
StiggClient client = new();
EntitlementListParams parameters = new() { AddonID = "addonId" };
var entitlements = await client.V1.Addons.Entitlements.List(parameters);
Console.WriteLine(entitlements);stigg v1:addons:entitlements list \
--api-key 'My API Key' \
--addon-id addonIdcurl --request GET \
--url https://api.stigg.io/api/v1/addons/{addonId}/entitlements \
--header 'X-API-KEY: <api-key>'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.stigg.io/api/v1/addons/{addonId}/entitlements",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": [
{
"id": "feature-api-calls",
"description": "Extra API calls",
"isGranted": true,
"isCustom": false,
"order": 0,
"behavior": "Increment",
"hiddenFromWidgets": [],
"displayNameOverride": null,
"createdAt": "2025-10-26T10:00:00.000Z",
"updatedAt": "2025-10-26T10:00:00.000Z",
"type": "FEATURE",
"usageLimit": 1000,
"hasUnlimitedUsage": false,
"hasSoftLimit": false,
"resetPeriod": null,
"resetPeriodConfiguration": null,
"enumValues": null
}
],
"pagination": {
"next": "c9b0a382-5b7d-4d32-9f62-8c4e1a7b3d9f",
"prev": "a1d4e8f2-6c3b-4a9e-b5f7-2d8c9e0f1a3b"
}
}{
"message": "<string>"
}{
"message": "<string>",
"code": "Unauthenticated"
}{
"message": "<string>"
}{
"message": "<string>",
"code": "RateLimitExceeded"
}Addon Entitlements
Get a list of addon entitlements
Retrieves a list of entitlements for an addon.
GET
/
api
/
v1
/
addons
/
{addonId}
/
entitlements
JavaScript
import Stigg from '@stigg/typescript';
const client = new Stigg({
apiKey: process.env['STIGG_API_KEY'], // This is the default and can be omitted
});
const entitlements = await client.v1.addons.entitlements.list('addonId');
console.log(entitlements.data);import os
from stigg import Stigg
client = Stigg(
api_key=os.environ.get("STIGG_API_KEY"), # This is the default and can be omitted
)
entitlements = client.v1.addons.entitlements.list(
addon_id="addonId",
)
print(entitlements.data)package main
import (
"context"
"fmt"
"github.com/stiggio/stigg-go"
"github.com/stiggio/stigg-go/option"
)
func main() {
client := stigg.NewClient(
option.WithAPIKey("My API Key"),
)
entitlements, err := client.V1.Addons.Entitlements.List(
context.TODO(),
"addonId",
stigg.V1AddonEntitlementListParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", entitlements.Data)
}package io.stigg.example;
import io.stigg.client.StiggClient;
import io.stigg.client.okhttp.StiggOkHttpClient;
import io.stigg.models.v1.addons.entitlements.EntitlementListParams;
import io.stigg.models.v1.addons.entitlements.EntitlementListResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
StiggClient client = StiggOkHttpClient.fromEnv();
EntitlementListResponse entitlements = client.v1().addons().entitlements().list("addonId");
}
}require "stigg"
stigg = Stigg::Client.new(api_key: "My API Key")
entitlements = stigg.v1.addons.entitlements.list("addonId")
puts(entitlements)using System;
using Stigg.Client;
using Stigg.Client.Models.V1.Addons.Entitlements;
StiggClient client = new();
EntitlementListParams parameters = new() { AddonID = "addonId" };
var entitlements = await client.V1.Addons.Entitlements.List(parameters);
Console.WriteLine(entitlements);stigg v1:addons:entitlements list \
--api-key 'My API Key' \
--addon-id addonIdAuthorizations
Server API Key
Headers
Account ID — optional when authenticating with a user JWT (Bearer token); falls back to the user's first membership. Ignored for API-key auth.
Environment ID — required when authenticating with a user JWT (Bearer token) on environment-scoped endpoints. Ignored for API-key auth (env is intrinsic to the key).
Path Parameters
The addon ID
Required string length:
1 - 255Pattern:
^[a-zA-Z0-9][a-zA-Z0-9_|.-]*$Response
A list of addon entitlement objects.
Response list object
Feature entitlement response
- FeatureEntitlementResponse
- CreditEntitlementResponse
Show child attributes
Show child attributes
Pagination metadata including cursors for navigating through results
Show child attributes
Show child attributes
⌘I
